<!DOCTYPE html>
<html lang="en">

<head>
</head>

<body>
    <form action="">
        <div>
            <label>Enter your todo</label>
            <input type="text" autofocus>
        </div>
        <button type="submit">Add</button>
    </form>
    <script>
        const electron = require('electron');
        const {ipcRenderer} = electron;
        document.querySelector('form').addEventListener('submit', (event)=>{
            event.preventDefault();
            var {value} = document.querySelector('input');
            ipcRenderer.send('todo:add', value);
        });
    </script>
</body>

</html>